# acl提供给投诉预测的接口

部署环境 133.96.94.176:12128
本地环境 127.0.0.1:12128

## 鉴权接口

入参说明
token 从top系统带来的token
fromSystem 参数是从top系统带过来的 投诉预测应为 top
system 投诉预测固定为 yuce

```http
POST http://133.96.94.176:12128/api/verification
Content-Type: application/json

{
"token": "test_token_hebei",
"fromSystem": "test",
"system": "yuce"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 15 Jul 2022 04:59:47 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 10,
    "userName": "测试用户_全省",
    "province": "河北省",
    "city": -1
  }
}

```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 15 Jul 2022 04:49:26 GMT
Connection: close

{
  "success": false,
  "code": 0,
  "message": "用户不存在",
  "data": {
    "redirect": "https://133.96.90.208/login"
  }
}

```
