package com.nokia.vo;

import com.nokia.pojo.UserEntity;
import lombok.Data;

/**
 * 大屏：
 * 用户姓名
 * 归属省
 * 归属地市
 * 权限：省级/地市级
 */
@Data
public class DapingUserVo {
    private Integer userId;
    private String userName;
    private String province;
    private String city;

    public DapingUserVo(UserEntity userEntity) {
        this.userId = userEntity.getUserId();
        this.userName = userEntity.getUserName();
        this.province = userEntity.getProvince();
        this.city = userEntity.getCity().getCityNameZh();
    }
}
