create table city
(
    city_id      serial not null
        constraint city_pk
            primary key,
    city_name_zh varchar,
    city_name_en varchar,
    ord          integer
);

alter table city
    owner to postgres;


create table role
(
    role_id     serial not null
        constraint role_pk
            primary key,
    role_name   varchar,
    create_time date,
    update_time date
);

alter table role
    owner to postgres;

create table table_user
(
    user_id     serial not null
        constraint user_pk
            primary key,
    login_id    varchar,
    user_name   varchar,
    mobile      varchar,
    email       varchar,
    city_id     integer,
    status      integer,
    remark      varchar,
    create_time date,
    update_time date
);

alter table table_user
    owner to postgres;

create table user_role
(
    id          serial not null
        constraint user_role_pk
            primary key,
    user_id     integer,
    role_id     integer,
    create_time date,
    update_time date
);

alter table user_role
    owner to postgres;

create table table2_user
(
    login_id    serial not null
        constraint table2_user_pk
            primary key,
    login_name  varchar,
    user_name   varchar,
    phone       varchar,
    email       varchar,
    province    varchar,
    city        varchar,
    county      varchar,
    tsfx_per    integer,
    tsys_per    integer,
    tsdp_per    integer,
    tsgdlz_per  integer,
    ceate_time  date,
    update_time date
);

comment on column table2_user.login_id is '';

comment on column table2_user.login_name is '¼û';

comment on column table2_user.user_name is 'û';

comment on column table2_user.phone is 'ֻ';

comment on column table2_user.email is '';

comment on column table2_user.province is 'ʡ';

comment on column table2_user.city is '';

comment on column table2_user.county is '';

comment on column table2_user.tsfx_per is ' Ͷ߹Ȩ   0,1,2 	0Ȩ	1м	2ʡ
';

comment on column table2_user.tsys_per is 'ͶԤȨ     0,1,2	0Ȩ	1м	2ʡ
';

comment on column table2_user.tsdp_per is 'Ƿ߱ͶߴȨ   0,1,2	0Ȩ	1м	2ʡ
';

comment on column table2_user.tsgdlz_per is 'ǷͶ߹תȨ   0,1	0	1	
';

comment on column table2_user.ceate_time is 'ûʱ';

comment on column table2_user.update_time is 'û޸ʱ';

alter table table2_user
    owner to postgres;

create table role_middle
(
    role_middle_id serial not null
        constraint role_middle_pk
            primary key,
    user_id        integer,
    role_id        integer
);

alter table role_middle
    owner to postgres;